import request from '@/utils/request'

// 查询列表
export function topicProjectList(params) {
    return request({
        url: '/system/topic/project/list',
        method: 'get',
        params
    })
}

// 查询详细
export function topicProInfo(id) {
    return request({
      url: '/system/topic/project/' + id,
      method: 'get'
    })
  }

// 新增
export function save(data) {
    return request({
        url: '/system/topic/project/save',
        method: 'post',
        data
    })
}

// 批量新增
export function saves(data) {
    return request({
        url: '/system/topic/project/saves',
        method: 'post',
        data
    })
}

// 删除
export function topicProDel(ids) {
    return request({
        url: '/system/topic/project/' + ids,
        method: 'delete'
    })
}

// 下拉
export function topicProSelect(topicId) {
    return request({
        url: '/system/topic/project/select',
        method: 'get',
        params: {topicId}
    })
}